FROM debian

# On copie notre script 
COPY ./entrypoint.sh /usr/bin/entrypoint.sh
# On ajoute les droits d'execution du script
RUN chmod +x /usr/bin/entrypoint.sh

# Valeur par défault
ENV CONTENEUR_NAME "PAS DE NOM😤"

# Comme on a mis notre script dans /usr/bin/, ce chemin est dans le path est peut être utilisé sans le précisé.
ENTRYPOINT ["entrypoint.sh"]
# Par défaut, le premier paramètre sera 10
CMD ["10"]
